org.apache.synapse.commons.staxon.core.util

## Class EventWriterDelegate

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.util.EventWriterDelegate

- All Implemented Interfaces:
    XMLEventConsumer, XMLEventWriter
  Direct Known Subclasses:
    PrettyXMLEventWriter, XMLMultipleEventWriter

      public class EventWriterDelegate
      extends Object
      implements XMLEventWriter

  Filter an `XMLEventWriter`. Counterpart to `EventReaderDelegate`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventWriterDelegate()`
    `EventWriterDelegate(XMLEventWriter parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(XMLEvent event)`
    `void` | `add(XMLEventReader reader)`
    `void` | `close()`
    `void` | `flush()`
    `NamespaceContext` | `getNamespaceContext()`
    `XMLEventWriter` | `getParent()`
    `String` | `getPrefix(String uri)`
    `void` | `setDefaultNamespace(String uri)`
    `void` | `setNamespaceContext(NamespaceContext context)`
    `void` | `setParent(XMLEventWriter parent)`
    `void` | `setPrefix(String prefix, String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventWriterDelegate

          public EventWriterDelegate()

    - #### EventWriterDelegate

          public EventWriterDelegate(XMLEventWriter parent)

  - ### Method Detail

    - #### getParent

          public XMLEventWriter getParent()

    - #### setParent

          public void setParent(XMLEventWriter parent)

    - #### flush

          public void flush()
                     throws XMLStreamException

      Specified by:
        `flush` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### close

          public void close()
                     throws XMLStreamException

      Specified by:
        `close` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### add

          public void add(XMLEvent event)
                   throws XMLStreamException

      Specified by:
        `add` in interface `XMLEventConsumer`
      Specified by:
        `add` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### add

          public void add(XMLEventReader reader)
                   throws XMLStreamException

      Specified by:
        `add` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### getPrefix

          public String getPrefix(String uri)
                           throws XMLStreamException

      Specified by:
        `getPrefix` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### setPrefix

          public void setPrefix(String prefix,
                                String uri)
                         throws XMLStreamException

      Specified by:
        `setPrefix` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### setDefaultNamespace

          public void setDefaultNamespace(String uri)
                                   throws XMLStreamException

      Specified by:
        `setDefaultNamespace` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### setNamespaceContext

          public void setNamespaceContext(NamespaceContext context)
                                   throws XMLStreamException

      Specified by:
        `setNamespaceContext` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `XMLEventWriter`

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.